package de.renew.formalism.fs;

import de.renew.shadow.*;
import de.uni_hamburg.fs.Name;

public class ShadowAssoc extends ShadowInscribable {

  private ShadowConcept concept,type;

  public ShadowAssoc(ShadowConcept concept, ShadowConcept type) {
    super(concept.getNet());
    this.concept=concept;
    this.type=type;
  }

  public ShadowConcept getConcept() {
    return concept;
  }

  public ShadowConcept getType() {
    return type;
  }

  public Name getFeature() {
      java.util.Enumeration elemenum=elements();
      String feature;
      if (elemenum.hasMoreElements()) {
	  feature = ((ShadowInscription)elemenum.nextElement()).inscr;
      } else {
	  feature = type.getName().toLowerCase();
      }
      return new Name(feature);
  }

  public void discard() {
    // is there anything else to do here?
  } 

}
