package de.renew.gui;

import java.awt.*;
import java.util.*;
import CH.ifa.draw.framework.*;
import CH.ifa.draw.standard.*;
import CH.ifa.draw.figures.*;
import CH.ifa.draw.util.*;
import de.renew.simulator.*;
import de.renew.unify.Tuple;
import collections.*;

public class TupleFigure extends HorizontalCompositeFigure {

   private Tuple tuple;

   public TupleFigure(RenewMode mode, Tuple tuple) {
      add(new TextFigure("[",true));
      for (int i=0; i < tuple.getArity(); ++i) {
        add(mode.getTokenFigure(tuple.getComponent(i)));
        if (i+1 < tuple.getArity()) {
           add(new TextFigure(",", true));
        }
      }
      add(new TextFigure("]",true));
      layout();
   }

}

