package de.renew.simulator;

import java.util.Enumeration;
import java.util.Hashtable;

class CheckTimeFinder implements Finder {
  private Finder finder;

  CheckTimeFinder(Finder finder) {
    this.finder=finder;
  }

  public void found(Searcher searcher) {
    // Only inform aggregated finder if searchable is usable now.
    if (searcher.getEarliestTime()<=SearchQueue.getTime()) {
      finder.found(searcher);
    }
  }
    
  public boolean isCompleted() {
    return finder.isCompleted();
  }

}
