package de.renew.function;

import java.lang.reflect.*;
import de.renew.unify.*;
import de.renew.util.Value;

public class ArrayWriteFunction implements Function {
  public final static Function FUN=new ArrayWriteFunction();

  private ArrayWriteFunction() {}

  public Object function(Object param) throws Impossible {
    Tuple tuple=(Tuple)param;
    if (tuple.getArity()!=3) {
      throw new Impossible();
    }

    try {
      Object arr=tuple.getComponent(0);
      Object idx=Value.unvalueAndCast(tuple.getComponent(1),Integer.TYPE);
      Object value=Value.unvalueAndCast(tuple.getComponent(2),
	arr.getClass().getComponentType());

      Array.set(arr,((Integer)idx).intValue(),value);

      return value;
    }
    catch (Exception e) {
      throw new Impossible();
    }
  }
}
