package de.renew.gui;

import java.awt.*;
import CH.ifa.draw.figures.*;
import CH.ifa.draw.framework.*;
import CH.ifa.draw.standard.*;
import de.renew.simulator.*;
import de.renew.unify.Tuple;

public class MultipleTokenFigure extends HorizontalCompositeFigure {

    //   final Object token;
    //   private boolean expanded=true;

   public static String getMultString(int mult, boolean isTested)
   {
     StringBuffer output = new StringBuffer();

     if (isTested) {
       if (mult>0) {
	 output.append(String.valueOf(mult));
       }
       output.append("(1)");
     } else if (mult>1) {
       output.append(String.valueOf(mult));
     }
     if (isTested || mult>1) {
       output.append("'");
     }
     
     return output.toString();
   }

   public MultipleTokenFigure(RenewMode mode, int mult, boolean isTested,
			      double time, Object token) {
       // this.token = token;
      add(new TextFigure(getMultString(mult,isTested), true));
      add(mode.getTokenFigure(token));
      if (time!=0) {
        add(new TextFigure("@"+time, true));
      }
      layout();
   }

/*
   public boolean inspect(DrawingView view, boolean alternate) {
     if (alternate) {
       toggleExpanded();
       return true;
     } else {
        return super.inspect(view,alternate);
     }

   }

   public void toggleExpanded() {
      expanded=!expanded;
      layout();
   }
*/
}

