package de.renew.gui;

import java.io.*;
import de.renew.shadow.ShadowCompiler;

// A default XML format that can neither be imported, nor exported.
public class NullXMLFormat implements XMLFormat {
  public NullXMLFormat() {}
  public boolean canExport() {
    return false;
  }
  public boolean canImport() {
    return false;
  }
  public CPNDrawing parse(InputStream stream) {
    // Ignore.
    return null;
  }
  public void write(OutputStream stream, CPNDrawing drawing,
		    ShadowCompiler compiler)
  {
    // Ignore.
  }
}
