package de.renew.gui;

import de.renew.shadow.ShadowCompiler;
import CH.ifa.draw.framework.*;
import java.awt.Panel;
import java.awt.MenuBar;

public interface RenewMode {

  public ShadowCompiler getCompiler();

  public CPNSimulation getSimulation();

  public Figure getTokenFigure(Object token);

  public void createAdditionalTools(CPNApplication editor, Panel palette);

  public void createAdditionalMenus(CPNApplication editor, MenuBar mb);

  public Tool createPlaceTool(DrawingEditor editor);

  public Tool createTransitionTool(DrawingEditor editor);

  public boolean wantClock();

  public boolean wantAux();

  public String getAuxFigureName();

  public String getAuxToolName();

}
