package de.renew.gui.fs;

import CH.ifa.draw.framework.Figure;
import CH.ifa.draw.figures.*;
import CH.ifa.draw.framework.*;
import de.renew.formalism.fs.*;
import de.renew.shadow.*;
import de.renew.gui.*;

public class AssocConnection
    extends ConceptConnection
    implements InscribableFigure {

  public AssocConnection() {
    super(new AssocArrowTip());
  }


    protected ShadowNetElement createShadow(ShadowConcept from, ShadowConcept to) {
      // System.err.println("assoc shadow created!");
      return new ShadowAssoc(from,to);
  }

  /** Get the default text for a new inscription child.
   */
  public String getDefaultInscription() {
      ConceptFigure concept=(ConceptFigure)endFigure();
      if (concept==null || "".equals(concept.getName())) {
	  return "relatesTo";
      } else {
	  return concept.getName().toLowerCase();
      }
  }

}
