package de.renew.gui.maria;

import java.awt.*;
import java.util.Vector;
import de.renew.gui.*;
import CH.ifa.draw.framework.*;

public class MariaArcConnectionHandle extends ArcConnectionHandle {
  public MariaArcConnectionHandle(Figure owner) {
    super(owner);
  }

  protected PlaceFigure createPlaceFigure() {
    PlaceFigure figure=new MariaPlaceFigure();
    Dimension d=PlaceFigure.defaultDimension();
    figure.displayBox(new Point(0,0),new Point(d.width,d.height));

    return figure;    
  }
  
  protected TransitionFigure createTransitionFigure() {
    TransitionFigure figure=new MariaTransitionFigure();
    Dimension d=TransitionFigure.defaultDimension();
    figure.displayBox(new Point(0,0),new Point(d.width,d.height));
    return figure;
  }

  protected void addInscriptions(Figure figure, DrawingView view) {
    if (figure instanceof MariaPlaceFigure) {
      ((MariaPlaceFigure)figure).addInscriptions(view);
    }
  }
}
