package de.renew.gui.xml;

import de.renew.gui.*;
import de.renew.shadow.ShadowCompiler;
import java.io.*;

public class XRNFormat implements XMLFormat {
  public XRNFormat() {
    // Verify that the parser classes are loadable,
    // throw an exception otherwise.
    new XRNParser();
  }
  public boolean canExport() {
    return true;
  }
  public boolean canImport() {
    return true;
  }
  public CPNDrawing parse(InputStream stream) throws Exception {
    return XRNParser.parse(stream);
  }
  public void write(OutputStream stream, CPNDrawing drawing,
		    ShadowCompiler compiler) throws Exception
  {
    XRNCreator.write(stream,drawing,compiler);
  }
}
