package de.renew.shadow;

public class NullCompiler implements ShadowCompiler {
  public ShadowLookup compile(ShadowNetSystem netSystem) {
    return new ShadowLookup();
  }

  public String[] getLintNames() { return new String[0]; }

  public void lint(int lintNr, ShadowNetSystem netSystem,
    ShadowNet selectedNet, ShadowNet lastSelectedNet) {}
  public String checkDeclarationNode(String inscr, boolean special) {
    return null;
  }
  public String checkArcInscription(String inscr, boolean special,
				    ShadowNet shadowNet) {
    return null;
  }
  public String checkTransitionInscription(String inscr, boolean special,
					   ShadowNet shadowNet) {
    return null;
  }
  public String checkPlaceInscription(String inscr, boolean special,
				      ShadowNet shadowNet) {
    return null;
  }
}
