package de.renew.shadow;

import collections.*;

public abstract class ShadowInscribable extends ShadowNetElement {
  UpdatableSet elements;

  protected ShadowInscribable(ShadowNet shadowNet) {
    super(shadowNet);
    elements=new HashedSet();
  }

  public void add(ShadowNetElement element) {
    elements.include(element);
  }
  public void remove(ShadowNetElement element) {
    elements.exclude(element);
  }

  public CollectionEnumeration elements() {
    return elements.elements();
  }
}
