package de.renew.simulator;

import collections.*;
import de.renew.expression.*;
import de.renew.util.SingletonEnumeration;
import de.renew.unify.*;

public class ActionInscription implements TransitionInscription {
  Expression expression;
  
  public ActionInscription(Expression expression) {
    this.expression=expression;
  }

  public CollectionEnumeration makeOccurrences(VariableMapper mapper, 
    NetInstance netInstance, Searcher searcher)
  {
    return new SingletonEnumeration(new ActionOccurrence(this,mapper));
  }
}
