package de.renew.simulator;

import de.renew.expression.*;
import de.renew.util.SingletonEnumeration;
import collections.*;

public class CreationInscription implements TransitionInscription {
  private Net net;
  private LocalVariable createVariable;

  public CreationInscription(Net net, LocalVariable createVariable)
  {
    this.net=net;
    this.createVariable=createVariable;
  }

  public CollectionEnumeration makeOccurrences(VariableMapper mapper,
    NetInstance netInstance, Searcher searcher)
  {
    return new SingletonEnumeration(
      new CreationOccurrence(mapper.map(createVariable),net));
  }
}
