package de.renew.simulator;

import java.util.*;

class DSQEnumeration implements Enumeration {
  private DSQListNode current;
  private DSQListNode start;
  
  DSQEnumeration(DSQListNode start) {
    current=start;
    this.start=start;
  }

  public boolean hasMoreElements() {
    return current!=null;
  }

  public synchronized Object nextElement() throws NoSuchElementException {
    if (current==null) {
      throw new NoSuchElementException();
    }
    Object result=current.elem;
    current=current.next;
    if (current==start) {
      current=null;
    }
    return result;
  }
}
